Subject: [PATCH v3 11/19] arm/arm64: KVM: refactor MMIO accessors

From: [email-masked] (Christoffer Dall)
Date: Tue, 4 Nov 2014 12:55:43 +0100

On Fri, Oct 31, 2014 at 05:26:46PM +0000, Andre Przywara wrote:
> The MMIO accessors for GICD_I[CS]ENABLER, GICD_I[CS]PENDR and
> GICD_ICFGR behave very similar in GICv3, although the way the
> affected vCPU is determined differs.

They behave similarly to each other (the registers) or similarly to how
they are implemented for GICv2?

> Factor out a generic, backend-facing implementation and use small
> wrappers in the current GICv2 emulation to ease code sharing later.
> 
> Signed-off-by: Andre Przywara <[email-masked]>

I can't really understand the motivation from your commit message, but
the code looks fine and I suppose I'll realize the motivation later:

Reviewed-by: Christoffer Dall <[email-masked]>